# DynamicEntity

    public class DynamicEntity : Hashable

Use concrete instances of `Entity<O>` in API that accept `DynamicEntity` arguments.

- `type`

  Do not use directly.

  #### Declaration

  Swift

      public let type: DynamicObject.Type

- `entityName`

  Do not use directly.

  #### Declaration

  Swift

      public let entityName: EntityName

- `isAbstract`

  Do not use directly.

  #### Declaration

  Swift

      public let isAbstract: Bool

- `versionHashModifier`

  Do not use directly.

  #### Declaration

  Swift

      public let versionHashModifier: String?

- `indexes`

  Do not use directly.

  #### Declaration

  Swift

      public let indexes: [[KeyPathString]]

- `uniqueConstraints`

  Do not use directly.

  #### Declaration

  Swift

      public let uniqueConstraints: [[KeyPathString]]

### Equatable

- `==(_:_:)`

  #### Declaration

  Swift

      public static func == (lhs: DynamicEntity, rhs: DynamicEntity) -> Bool

### Hashable

- `hash(into:)`

  #### Declaration

  Swift

      public func hash(into hasher: inout Hasher)